Error trying install sound drivers no valid architecture

Discussion about my Wifi Radio project at http://mightyohm.com/wifiradio/ or my WL-520gU talk at NOTACON.

Error trying install sound drivers no valid architecture

Postby JamesMore » Mon Dec 05, 2011 11:27 pm

Hello, fellow hackers.

I am just trying to setup my Asus router, I have it flashed and have it talking to my network (Backfire (10.03, r20728)) but, I am having problems installing the sound drivers. I am new to linux so this might be a simple user error. When I run opkg install kmod-usb-audio kmod-usb-ohci , I get a large amount of errors about "has no valid architecture, ignoring"

My opkg.conf

Code: Select all
src/gz snapshots http://mightyohm.com/files/kamikaze-2.4/packages/mipsel

dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay


And the install error

Code: Select all
Collected errors:
 * pkg_hash_add_from_file: Package base-files-brcm-2.4 version 13-r12857 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package bridge version 1.0.6-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package busybox version 1.11.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package chat version 2.4.3-10 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package dbus-utils version 1.2.3-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package dbus version 1.2.3-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package dnsmasq version 2.45-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package dropbear version 0.51-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package empcd version 2008.02.16-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package firewall version 1-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package gsm-utils version 1.0.10-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package hotplug2 version 0.9+r102-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package iptables-mod-conntrack version 1.3.8-3 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package iptables-mod-nat version 1.3.8-3 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package iptables version 1.3.8-3 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kernel version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-brcm-wl version 2.4.35.4+4.150.10.5.2-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-diag version 2.4.35.4-brcm-2.4-4 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-fs-ext3 version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-fs-vfat version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-ipt-conntrack version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-ipt-core version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-ipt-nat version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-ipt-nathelper version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-ppp version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-pppoe version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-scsi-core version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-sound-core version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-switch version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-audio version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-core version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-ohci version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-serial-ftdi version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-serial-pl2303 version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-serial version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-storage version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb-uhci version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-usb2 version 2.4.35.4-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package kmod-wlcompat version 2.4.35.4+4.150.10.5.2-brcm-2.4-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libblkid version 1.40.11-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libdb version 4.2.52-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libexpat version 1.95.8-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libflac version 1.1.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libgcc version 3.4.6-13 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libgdbm version 1.8.3-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libgsm version 1.0.10-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libiconv version 1.9.1-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libid3tag version 0.15.1b-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libintl version 0.16.1-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libmad version 0.15.1b-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libncurses version 5.6-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libogg version 1.1.3-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package liboil version 0.3.15-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libopenssl version 0.9.8h-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libpthread version 0.9.29-13 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libsamplerate version 0.1.3-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libsndfile version 1.0.17-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libuci version 0.6.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libusb version 0.1.12-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libuuid version 1.40.11-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libvorbisidec version 1.0.2+svn14261-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package libxml2 version 2.7.2-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package madplay version 0.15.2b-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package microperl version 5.10.0-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package minicom version 2.3-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package mount-utils version 2.13.0.1-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package mpc version 0.12.1-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package mpd version 0.13.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package mtd version 8 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package nas version 4.150.10.5.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package ntpclient version 2007_365-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package nvram version 1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package opkg version 4564-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package ppp-mod-pppoe version 2.4.3-10 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package ppp version 2.4.3-10 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package samba-client version 2.0.10-4 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package samba-common version 2.0.10-4 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package samba-server version 2.0.10-4 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package setserial version 2.17-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package shell-fm version 0.5-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package streamripper version 1.62.0-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package uci version 0.6.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package uclibc version 0.9.29-13 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package usbutils version 0.73-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package uuidgen version 1.40.11-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package wireless-tools version 29-2 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package wl version 4.150.10.5.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package wlc version 4.150.10.5.2-1 has no valid architecture, ignoring.
 * pkg_hash_add_from_file: Package zlib version 1.2.3-5 has no valid architecture, ignoring.
 * opkg_install_cmd: Cannot install package kmod-usb-audio.
root@OpenWrt:~#





Any ideas ?
JamesMore
 
Posts: 4
Joined: Mon Dec 05, 2011 11:19 pm

Re: Error trying install sound drivers no valid architecture

Postby gerben » Tue Dec 06, 2011 4:10 am

You have the wrong url in your opkg.conf
You shouldn't have changed it.
That url is for the kamikaze build of openwrt, not the backfire build.
I think the url should be (assuming you have a wl520gu):
http://downloads.openwrt.org/backfire/1 ... /packages/
User avatar
gerben
 
Posts: 164
Joined: Sat Oct 16, 2010 8:41 am
Location: Netherlands

Re: Error trying install sound drivers no valid architecture

Postby JamesMore » Tue Dec 06, 2011 12:23 pm

Thanks Gerben for your help, I don't really understand the difference between the 2 builds are they just separate forks of openwrt ? Should I be using a different build I tried with a few different releases but each time I would start the wireless the router would crash. (ASUS WL-520gu)

By changing the url to the one you listed I was able to download and install the sound drivers (Thank you very much again Gerben)

On to the next issue, I am not sure if some how by having the wrong URL I have filled up the drive because when I try and install mpd I get a space issue.

Only have 876kb available on filesystem /overlay, pkg glib2 needs 1601
* opkg_install_cmd: Cannot install package mpd

Any more hints ?

Update

oooooooo crap viewtopic.php?f=2&t=358
JamesMore
 
Posts: 4
Joined: Mon Dec 05, 2011 11:19 pm

Re: Error trying install sound drivers no valid architecture

Postby pasdesignal » Tue Dec 06, 2011 5:26 pm

Hi James,

First of all:
I had the same issues of course, and easily overcame them even though I am a novice Linux user. I encourage you to persevere! This project is still a continuing source of joy and learning for me. My entire sound system at home revolves around MPD on an ASUS WL-520gu and it is awesome. The MPoD app for ipod/iphone/ipad is one of the best features, and is constantly improving.

Ok, enough already:

If you are running out of space when installing packages there are a number of solutions.

The first and easiest is to follow Mightyohms build to the letter. And accept the limitations of smaller yet older versions of OpenWRT and MPD. This is fine for webstreams and complies with K.I.S.S. (Keep It Simple, Stupid) which is always a good idea. Simple is good.

The other solutions involve increasing your available storage space somehow. This typically involves adding a USB storage device (a 4GB thumb drive in my case) to the router using the USB 2.0 port and a compliant hub (the hub is so you can still use a usb audio sound device).

These solutions are ones I know of:

http://wiki.openwrt.org/doc/howto/extroot
http://wiki.openwrt.org/doc/techref/opk ... stinations
http://wiki.openwrt.org/doc/howto/kexec

I personally used the extroot method to boot my larger operating system and associated memory space (including a larger swap file) from my thumb drive.

The directions are easy to follow and with a little bit of trial and error I got it - so anyone can do it trust me!

I recommend adding a swap partition (more RAM basically) only once you have got a successful extroot boot happening.

Good luck and keep us posted of your progress..... 8-)
User avatar
pasdesignal
 
Posts: 20
Joined: Sat Oct 02, 2010 2:31 am

Re: Error trying install sound drivers no valid architecture

Postby JamesMore » Tue Dec 06, 2011 8:11 pm

Thanks pasdesignal, I pretty much came to the same conclusion, so I ordered a min usb hub today from ebay and will start to look around my junk bins for a usb stick that I can use.

Compiling the release would not be my cup of tea I seem to remember pulling my hair out compiling some voip stuff back in the day but if it has to be done then I will. In your last post I saw you had hardwired the router, is your router still hardwired or have you played with any of the new builds ?
JamesMore
 
Posts: 4
Joined: Mon Dec 05, 2011 11:19 pm

Re: Error trying install sound drivers no valid architecture

Postby pasdesignal » Tue Dec 06, 2011 9:53 pm

If you mean it isn't using wifi - then yes, its still 'hardwired'. At the moment, because my device is more of a network player integrated into my stereo system, portability isn't an issue for me. It simply sits beside my amp feeding it audio. The ethernet cable is tucked neatly behind everything and its very discreet.

When you have worked so hard to get a stable device working consistently, its hard to risk breaking it again just to try a new build with wifi possibly working - possibly not.

Having said that, I actually have 2 x WL-520GU's. So I fully intend to experiment again with the latest builds on my spare machine. I can think of many uses where wifi would be great, such as the original inspiration for all of this: mightyohm's original internet radio! If only I had the time..... :roll:

Fish out that old 500MB memory stick and get stuck into the extroot solution.... good luck!
User avatar
pasdesignal
 
Posts: 20
Joined: Sat Oct 02, 2010 2:31 am

Re: Error trying install sound drivers no valid architecture

Postby gerben » Wed Dec 07, 2011 8:20 am

No need to recompile. Either use the build Jeff has compiled for us, or use the standard openwrt build you have right know (that openwrt has compiled for you). Jeffs is more lightweight making MPD fit into the 4MB of flash memory the wl520gu has. The newer version of Openwrt you have right now, also has a newer version of MPD which is more bloated and won't fit in the 4MB flash.

So either take the easy way and use Jeff's build, or that the less easy way and learn exroot, etc.. Or just buy a router with more than just 4MB of flash. Mine has a whopping 32MB of flash; not sure what to do with all this space.
User avatar
gerben
 
Posts: 164
Joined: Sat Oct 16, 2010 8:41 am
Location: Netherlands

Re: Error trying install sound drivers no valid architecture

Postby JamesMore » Wed Dec 07, 2011 10:04 am

Got to do some work this morning but that router looks so shiny and wants to be hacked I will try first to get a later build of the firmware on it and then step in to the scary world of exroot.

gerben wrote: Mine has a whopping 32MB of flash; not sure what to do with all this space.


Bill gates wrote:"640K ought to be enough for anybody"
JamesMore
 
Posts: 4
Joined: Mon Dec 05, 2011 11:19 pm


Return to Wifi Radio Project / Hacking the Asus WL-520gU

Who is online

Users browsing this forum: Google [Bot] and 0 guests

cron